Assets: purge

Hard deletes (purges) assets. Currently only supports a single asset by name (ID).

The purge method is a long-running operation (LRO). For simple single-asset purges, the operation completes synchronously ("done": true).

Request

HTTP request

POST https://datastudio.googleapis.com/v1/assets:purge

Authorization

This request requires authorization with the following scope:

Scope
https://www.googleapis.com/auth/datastudio

Request body

In the request body, supply the following properties:

Parameter name Type Description
filter string Required. The filter to apply, specifying the asset to purge. Currently only supports a single asset by name (ID). Format: name = "assets/{assetName}"
force boolean Optional. If set to false (or omitted), the method returns a sample of assets that would be purged without actually purging them. If set to true, the purge is executed.

Response

If successful, this method returns a google.longrunning.Operation object.

Operation structure

{
  "name": string,
  "metadata": {
    "@type": "type.googleapis.com/google.analytics.datastudio.v1.PurgeAssetsMetadata"
  },
  "done": boolean,
  "response": {
    "@type": "type.googleapis.com/google.analytics.datastudio.v1.PurgeAssetsResponse",
    "purgeCount": number,
    "purgeSample": [string]
  }
}
Property name Type Description
name string The server-assigned name of the operation.
metadata object Service-specific metadata associated with the operation. For asset purge, this contains PurgeAssetsMetadata (empty object representation).
done boolean If true, the operation is complete. If false, the operation is still in progress. For single-asset purge, this completes synchronously (true).
response object The normal, successful response of the operation. For asset purge, this contains PurgeAssetsResponse properties.
- purgeCount number The count of assets that were purged (or would be purged if force is false).
- purgeSample Array<string> A sample of the assets (represented as resource paths e.g. assets/{assetId}) that would be purged. Only populated when force is false.